import { MovieDb } from "https://esm.sh/moviedb-promise@3.4.1";
const moviedb = new MovieDb(Deno.env.get("TMDB_API_KEY") || "");

export function searchMovie(query: string) {
  return moviedb.searchMovie({ query });
}

export function getMovie(id: number) {
  return moviedb.movieInfo({ id });
}

export function getMovieCredits(id: number) {
  return moviedb.movieCredits(id);
}
